package ru.myitschool.work.ui.screen.room

import ru.myitschool.work.domain.room.entities.RoomEntity
import ru.myitschool.work.ui.screen.main.MainState

sealed interface RoomState {
    data object Loading: RoomState
    data class Error(
        val error: String
    ): RoomState
    data class Data(
        val data: Map<String, String?>,
        val name: String
    ): RoomState
}